Loading...
Searching...
No Matches
rpcbasic_inserter< T, std::vector< int > > Class Template Reference

Specialized inserter class for vectors of int data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_inserter (T *source, std::vector< int >(T::*func)() const)
| rpcbasic_inserter (T *source, std::vector< int >(T::*func)())
pmt::pmt_t | retrieve ()
| send `msg` to `msg_producer`
Public Member Functions inherited from rpcinserter_base< T, std::vector< int > >
| rpcinserter_base (T *source, std::vector< int >(T::*func)())
pmt::pmt_t | retrieve () override
| send `msg` to `msg_producer`
Public Member Functions inherited from gr::messages::msg_producer
| msg_producer ()
virtual | ~msg_producer ()

## Additional Inherited Members

Protected Attributes inherited from rpcinserter_base< T, std::vector< int > >
T * | _source
std::vector< int >(T::* | _func )()

## Detailed Description

template<typename T>
class rpcbasic_inserter< T, std::vector< int > >

Specialized inserter class for vectors of int data.

## Constructor & Destructor Documentation

## rpcbasic_inserter() [1/2]

template<typename T>

rpcbasic_inserter< T, std::vector< int > >::rpcbasic_inserter | ( | T * | source,
|  | std::vector< int >(T::* | func )() const )

inline

References rpcinserter_base< T, std::vector< int > >::rpcinserter_base().

## rpcbasic_inserter() [2/2]

template<typename T>

rpcbasic_inserter< T, std::vector< int > >::rpcbasic_inserter | ( | T * | source,
|  | std::vector< int >(T::* | func )() )

inline

References rpcinserter_base< T, std::vector< int > >::rpcinserter_base().

## Member Function Documentation

## retrieve()

template<typename T>

pmt::pmt_t rpcbasic_inserter< T, std::vector< int > >::retrieve | ( |  | ) |

inline virtual

send `msg` to `msg_producer`

Implements gr::messages::msg_producer.

References rpcinserter_base< T, std::vector< int > >::_func, rpcinserter_base< T, std::vector< int > >::_source, pmt::init_s32vector(), and rpcinserter_base< T, std::vector< int > >::rpcinserter_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h